Openmandriva LX4 and RPM?

rpm
omlx-4
Tags: #<Tag:0x00007fe1e28bdbe0> #<Tag:0x00007fe1e28bd910>
(lars martin) #1

Hi did you set up RPM software to install packes?

Because i need to use:
sudo rpm -i opera-stable_60.0.3255.83_amd64.rpm
completed:

sudo rpm -i google-chrome-stable_current_x86_64.rpm
sudo rpm -i skypeforlinux_8.44.0.40-1.x86_64.rpm

skypeforlinux_8.44.0.40-1.x86_64.rpm: Header V4 RSA/SHA1 Signature, key ID df7587c3: NOKEY
feil: Failed dependencies:
libsecret is needed by skypeforlinux-8.44.0.40-1.x86_64

error:
Failed dependencies:
libappindicator3.so.1()(64bit) is needed by google-chrome-stable-74.0.3729.131-1.x86_64

#2

Yes, OpenMandriva use rpm packages (rpm4) and DNF.

I use from time to time Opera browser myself and I can say that it works without problems on OpenMandriva Lx4.
So yes, opera working fine. Same with Google Chrome.

I did not test Skype but we have it in the repository. You can download by following the command:

dnf install get-skypeforlinux

(lars martin) #3

But how do i fix (libappindicator3.so.1) for chrome? still got issue for that?

#4

Go to Google Chrome - The Fast, Simple and Secure Browser from Google and download chrome webbrowser x64 for rpm systems. Then open terminal and install it

sudo dnf install /path-to-chrome/google-chrome-stable_current_x86_64.rpm

this should take care of all dependencies.
In my case, it installs without a problem.

but if for some (unknown for me) reasons it still calling for this library, then install it this way:

dnf install lib64appindicator3_1

Should help.

(lars martin) #5

thx look it works nice. But did you know how to install everthing to c++ development? Some say mate is available for openmandriva? Did you know how to install it? find it out, sudo dnf install mate-desktop
So XFCE will not be available on openmandriva?

install blueray support?

How to install libdvd-pkg libaacs0 libbluray-bdj libbluray1 makemkv-bin makemkv-oss
Not found.

#6

MATE is in unsupported repository so you have to enable it before to install. Then you may use dnf install task-mate if you want MATE desktop as is or dnf install openmandriva-mate-config (suggested) you you want to use a preconfigured MATE desktop in OpenMandriva style. Of course in any case you may change the configuration of you desktop at any time.

The only part it is known not working in MATe is engrampa (archive manager) so actually i suggest you to use xarchiver or file-roller instead.

If you experience some issue with MATE please open a new thread.

1 Like
(Ben Bullard) closed #7
(rugyada) #8

Adding, and repeating: one issue/request = one thread!

alert-septhr